#!/bin/sh

#set -x

source /etc/utils/shell-utils.sh
DEBUG=0

export LD_LIBRARY_PATH=/usr/lib:/usr/local/share/app/lib:$LD_LIBRARY_PATH

BASEDIR=$(dirname "$0")

IPC_SERVER_BIN="/usr/local/share/app/bin/ipcRDirService"

if [[ -x ${IPC_SERVER_BIN} ]]; then
    ${IPC_SERVER_BIN} -d
fi


while : ; do
        read a < /ram/ipc-simple-pipe
        if [ ! -z "$a" ]; then
           /bin/sh -c "$a"
        fi
done

